# Chute Ruby SDK

[![Circle CI](https://circleci.com/gh/chute/chute-ruby.svg?style=svg)](https://circleci.com/gh/chute/chute-ruby)
[![Gem Version](https://badge.fury.io/rb/chute.svg)](http://badge.fury.io/rb/chute)
[![Code Climate](https://codeclimate.com/github/chute/chute-ruby/badges/gpa.svg)](https://codeclimate.com/github/chute/chute-ruby)
[![Test Coverage](https://codeclimate.com/github/chute/chute-ruby/badges/coverage.svg)](https://codeclimate.com/github/chute/chute-ruby/code)
[![PullReview stats](https://www.pullreview.com/github/chute/chute-ruby/badges/master.svg?)](https://www.pullreview.com/github/chute/chute-ruby/reviews/master)

> [Chute API](http://docs.chute.apiary.io) SDK for Ruby

[Chute](http://getchute.com) makes it possible for you to easily organize, store and serve photos and videos. This Ruby gem provides you with a wrapper for the Chute API.

You can learn more about Chute at http://getchute.com and explore the API at http://docs.chute.apiary.io.

## How to use

Install directly

```sh
gem install chute
```

or add to your Gemfile

```ruby
gem 'chute'
```


### Configuration

Create `config/initializers/chute.rb` and set your credentials (you can get them from [apps.getchute.com](http://apps.getchute.com).

```ruby
Chute.configure do |config|
  config.app_id = YOUR_APP_ID
  config.app_secret = YOUR_APP_SECRET
  config.access_token = YOUR_ACCESS_TOKEN
end
```


### Usage

The parameters in the response are accessed as standard fields inside a class. Assuming `response` is the basic
object containing the complete response you can access the id of an element by

```ruby
response.data.id # if data is a single object
response.data[0].id # if data is an array
```


## Development

To build and install the gem locally on your system use:

    rake install

you can afterwards include it inside your rails app


### Tests

    rspec

Responses are recorded for reuse by VCR. If you need to re-run some of them remove the specific file from `spec/fixtures/`

Test coverage is automatically calculated. To see it, open browser at `/coverage/index.html`.


### Release

1. Update version in `lib/chute/version.rb`
2. `git commit -am 'Version X.Y.Z'`
3. `rake release`


## License

Copyright (c) 2012-2015 Chute Corporation. Released under the terms of the MIT License.
