if ENV['CIRCLECI']
  require 'codeclimate-test-reporter'
  CodeClimate::TestReporter.start
end
require 'simplecov'
SimpleCov.start

$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rspec'
require 'chute'
require 'vcr'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

RSpec.configure do |config|
  config.color = true
  # Use color not only in STDOUT but also in pagers and files
  config.tty = true
end

#VCR config
VCR.configure do |c|
  c.ignore_localhost = true
  c.ignore_hosts 'codeclimate.com'
  c.cassette_library_dir = 'spec/fixtures/chute_cassettes'
  c.hook_into :webmock # or :fakeweb
  c.filter_sensitive_data('API KEY') { Chute.access_token }
  c.allow_http_connections_when_no_cassette = false
end
